Integration with NSX 6.3 or later


Does Cumulus VX work as a hardware VTEP with NSX-V 6.3 or later ?
I want to test if Cumulus Linux works as a hardware VTEP in NSX for vSphere

The VMware KB below says Cumulus have not supported NSX-V 6.3 yet,
But this KB is last updated 2017/03/16 and I would like to know current status.
https://kb.vmware.com/s/article/2148511

My NSX version is 6.4.0.
When I try to register Cumulus VX to NSX Controller as a hardware VTEP,
I see the message below from the ovsdb server logs in the cumulus VX, which seem to indicate that Cumulus VX is not TLS 1.2 compliant.

May
15 11:12:19|00063|stream_ssl|WARN|SSL_connect: error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number

Thank you in advance.

1 reply

Userlevel 4
Hi @zuma we currently support up to version 6.2, but ought to support 6.4 in the near future. Keep an eye on our release notes for upcoming releases.

Reply